Create Account
https://bank.dattaremit.com/api/accountsRequires a bank-scoped key.
Creates an account.
## Account Type
An Account is tied to a specific cryptocurrency or fiat and is comprised of transactions and a current balance.
An account is required to allow a Bank or Customer to hold cryptocurrency or a Customer to hold fiat on the Cybrid Platform.
At present, accounts can be created as trading, storage or fiat accounts and are required before a Customer can generate quotes or execute a trade or transfer.
To create accounts for your Bank, omit the customer_guid parameter in the request body. To create accounts for your Customers, include the customer_guid parameter in the request body.
At the bank level, invoice_operations accounts can be configured to pre-fund your customers' Lightning Network operations.
## Asset
The asset is the specific cryptocurrency or fiat that the account holds, e.g., 'BTC' for Bitcoin or USD for US dollars. See the Symbols API for a complete list of cryptocurrencies and fiat supported.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the account details in our private store |
| created | The Platform has created the account |
Required scope: accounts:execute
Body Params
requiredtypetrading | fiat | invoice_operations | storagerequiredThe account type.
customer_guidstringThe customer identifier associated with the account.
assetstringrequiredThe asset code.
namestringrequiredThe name of the account.
labelsstring[]The labels associated with the account.
Responses
201account created
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/accounts \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "trading",
"asset": "string",
"name": "string",
"customer_guid": "string",
"labels": [
"string"
]
}'Response
account created
{
"type": "string",
"guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"asset": "string",
"name": "string",
"bank_guid": "string",
"customer_guid": "string",
"platform_balance": 1,
"minimum_balance_funding_pull": 1,
"platform_available": 1,
"state": "string",
"labels": [
"string"
]
}